package net.northking.cctp.upperComputer.entity;

import java.util.List;
import java.util.Map;

public class ConsumerInfoDto {

    private String type;   //0-重启上位机，1-获取性能数据，2-获取日志数据,3-重启设备

    private String ctrlId;  //上位机id

    private String deviceId;  //设备id

    private String appPackage;  //包名

    private List<Map<String,String>> deviceList;  //重启设备

    public Map<String, String> getPerDataInfo() {
        return perDataInfo;
    }

    public void setPerDataInfo(Map<String, String> perDataInfo) {
        this.perDataInfo = perDataInfo;
    }

    private Map<String,String> perDataInfo;  //性能数据


    public List<Map<String, String>> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<Map<String, String>> deviceList) {
        this.deviceList = deviceList;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCtrlId() {
        return ctrlId;
    }

    public void setCtrlId(String ctrlId) {
        this.ctrlId = ctrlId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }
}
